# Uses of Interface
org.eclipse.debug.core.IDebugEventFilter

Packages that use IDebugEventFilter
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.

## Uses of IDebugEventFilter in org.eclipse.debug.core

Methods in org.eclipse.debug.core with parameters of type IDebugEventFilter
Modifier and Type
Method
Description
`void`
DebugPlugin.`addDebugEventFilter(IDebugEventFilter filter)`
Adds the given debug event filter to the registered event filters.
`void`
DebugPlugin.`removeDebugEventFilter(IDebugEventFilter filter)`
Removes the given debug event filter from the registered event filters.